Bug 237371 - The X Server crash if an composite window manager is loaded and an Windows with OpenGL objects is moved to right down corner
The X Server crash if an composite window manager is loaded and an Windows wi...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
6
All Linux
medium Severity urgent
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-21 09:20 EDT by Ví­ctor Daniel
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-16 11:19:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Position of the opengl window (glxgears) (62.59 KB, image/jpeg)
2007-04-21 09:20 EDT, Ví­ctor Daniel
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 10702 None None None Never

  None (edit)
Description Ví­ctor Daniel 2007-04-21 09:20:25 EDT
Description of problem:
The X Server crash if a composite window manager is loaded and an Windows with
OpenGL objects is moved to right  down corner  (i810 Card)

Version-Release number of selected component (if applicable):
This is reproducible in AIGLX and XGL.

How reproducible:
Load a composite windows manager (like compiz or beryl) and run glxgear (or a 
OpenGL xscreensaver) move theis new window to beyond right down corner.

This bug is repodusible in XGL and AIGLX.

Steps to Reproduce:
1. Load composite window manager (compiz or beryl)
2. Run glxgears or an OpenGL xscreensaver or an OpenGL Game (quake,...)
3. Move the window to this position:
+----------------------------------------------+
|                                              |
|                                              |
|                                              |
|                                              |
|                     1                        |
|                                              |
|                                     +--------|-------+
|                                     |        |       |
|                                     |        |       |
|                                     |        |       |
+----------------------------------------------+       |
                                      |        2       |
                                      |                |
                                      |                |
                                      +----------------+
  Leyend
  1: Screen
  2: A screen with 3d object (sample: glxgears, an OpenGL xscreensaver)
4. Boom! The systems crash.

I report this bug to bugs.freedesktop.org.
Bye and Thanks!
Comment 1 Ví­ctor Daniel 2007-04-21 09:20:26 EDT
Created attachment 153239 [details]
Position of the opengl window (glxgears)
Comment 2 Matěj Cepl 2007-05-21 11:10:56 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Matěj Cepl 2007-07-12 16:36:34 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 4 Matěj Cepl 2007-08-16 11:19:02 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.